Package com.independentsoft.graph.files

# Class SharingLink

java.lang.Object
com.independentsoft.graph.files.SharingLink

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class SharingLink extends Object implements ICreatable, IUpdatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SharingLink()`
  `SharingLink​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Identity`
  `getApplication()`
  `Date`
  `getExpirationTime()`
  `String`
  `getPassword()`
  `SharingLinkScope`
  `getScope()`
  `SharingLinkType`
  `getType()`
  `String`
  `getWebHtml()`
  `String`
  `getWebUrl()`
  `boolean`
  `preventsDownload()`
  `void`
  `setExpirationTime​(Date expirationTime)`
  `void`
  `setPassword​(String password)`
  `void`
  `setScope​(SharingLinkScope scope)`
  `void`
  `setType​(SharingLinkType type)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SharingLink

    public SharingLink()

  - ### SharingLink

    public SharingLink​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### getApplication

    public Identity getApplication()

  - ### preventsDownload

    public boolean preventsDownload()

  - ### getType

    public SharingLinkType getType()

  - ### setType

    public void setType​(SharingLinkType type)

  - ### getScope

    public SharingLinkScope getScope()

  - ### setScope

    public void setScope​(SharingLinkScope scope)

  - ### getWebHtml

    public String getWebHtml()

  - ### getWebUrl

    public String getWebUrl()

  - ### getPassword

    public String getPassword()

  - ### setPassword

    public void setPassword​(String password)

  - ### getExpirationTime

    public Date getExpirationTime()

  - ### setExpirationTime

    public void setExpirationTime​(Date expirationTime)